<?php
  
  class cMainTeacherMenu extends cMenu
  {
    function GenerateMenu ($paramSuffix)
    {
      $this->AddItem("informácie", "?site=information".$paramSuffix);

      $this->AddItem("predmety", "?site=course".$paramSuffix);

      $this->AddItem("proktori", "?site=proctors".$paramSuffix);
      
      $this->AddItem("zmena hesla", "?site=changePassword".$paramSuffix);
    }
  }
  
  class cCourseTeacherMenu extends cMenu
  {
    function GenerateMenu ($paramSuffix)
    {
      $this->AddItem("hlavná stránka", "?site=information".$paramSuffix);
      
      $this->AddSeparator();
      
      $this->AddItem("info o predmete", "?site=courseInformation".$paramSuffix);
      $menuItem=$this->AddItem("testy", "?site=evaluation".$paramSuffix);
      $menuItem->AddItem("hodnotenie", "?site=evaluation".$paramSuffix);
      $menuItem->AddItem("generovanie", "?site=testGenerating".$paramSuffix);
      $menuItem->AddItem("demo test", "?site=demoTest".$paramSuffix);
      $menuItem->AddItem("importovanie", "?site=testImport".$paramSuffix);

      $this->AddItem("termíny skúšok", "?site=examTerms".$paramSuffix);
      
      $this->AddItem("databáza otázok", "?site=questionDB&amp;action=browseDomain".$paramSuffix);

      $this->AddItem("vyhľadávanie", "?site=search".$paramSuffix);
      
      $this->AddItem("štatistika", "?site=statistics".$paramSuffix);
    }
  }
  
  class cMainProctorMenu extends cMenu
  {
    function GenerateMenu ($paramSuffix)
    {
      $this->AddItem("informácie", "?site=information".$paramSuffix);

      $this->AddItem("zmena hesla", "?site=changePassword".$paramSuffix);
    }
  }
  
  class cTestingMenu extends cMenu
  {
    function GenerateMenu ($paramSuffix)
    {
      $this->AddItem("informácie", "?site=testing".$paramSuffix);

      $this->AddItem("zmena hesla", "?site=changePassword".$paramSuffix);
    }
  }

?>
